Bug 186285 - S1 & S2 buttons not recognized on Sony Vaio VGN-FS790B
S1 & S2 buttons not recognized on Sony Vaio VGN-FS790B
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
OldNeedsRetesting
: Desktop
: 186288 (view as bug list)
Depends On:
Blocks: 183410
  Show dependency treegraph
 
Reported: 2006-03-22 13:41 EST by Suzanne Hillman
Modified: 2009-07-14 13:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output from running evtest /dev/input/event3 while pressing S1, S2, and various Fn key combos. (8.00 KB, text/plain)
2007-06-21 10:42 EDT, Suzanne Hillman
no flags Details

  None (edit)
Description Suzanne Hillman 2006-03-22 13:41:29 EST
Description of problem:
S1 & S2 buttons not recognized on Sony Vaio VGN-FS790B. Checked if they showed
up according to xev, and they do not.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.2054_FC5

How reproducible:
Always

Steps to Reproduce:
1. Obtain a Sony Vaio VGN-FS790B with FC5 GOld on it, and start xev.
2. Press the S1 or S2 buttons above the keyboard, while hovering over the xev window
  
Actual results:
See that xev does not notice them being pressed, presumably because they are
specific to this laptop.

Expected results:
They should be seen by xev so as to be able to be associated with actions in gnome.

Additional info:
Comment 1 Dave Jones 2006-10-16 15:41:28 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Bastien Nocera 2007-04-30 13:28:04 EDT
Does it work once you have the sonypi driver loaded? I believe it should.

sonypi should also be loaded automatically with newer version of udev.
Comment 3 Bastien Nocera 2007-04-30 13:31:35 EDT
*** Bug 186288 has been marked as a duplicate of this bug. ***
Comment 4 Hezekiah M. Carty 2007-05-02 14:42:50 EDT
For me (Sony Vaio VGN-S260) the S1 and S2 buttons work but the Fn key
combinations do not.  xev doesn't pick them up at all.

This is using the latest Fedora devel as of May 1.
Comment 5 Christopher Aillon 2007-05-23 14:45:57 EDT
Neither the S1 nor S2 buttons work on my VGN-FS790B using today's Rawhide.
Comment 6 Christopher Aillon 2007-05-23 14:48:14 EDT
% uname -r
2.6.21-1.3189.fc7
% rpm -q gnome-power-manager udev 
gnome-power-manager-2.18.2-4.fc7
udev-106-4.fc7
Comment 7 Suzanne Hillman 2007-05-23 14:50:28 EDT
See previous comments (it refused to get out of NEEDINFO for caillon).
Comment 8 Bastien Nocera 2007-05-23 17:08:59 EDT
Again, was sonypi loaded or not?

Even if it is, the keys won't show up in X (I don't believe X knows about
KEY_PROG1 or KEY_PROG2). Please use evtest[1] to see whether the key gets to
userspace (the device will be named "Sony Vaio Jogdial" at the beginning of the
evtest output).

[1]: http://game-sat.com/~brian/Howtos/evtest.c
Comment 9 Suzanne Hillman 2007-06-21 10:40:49 EDT
sonypi was, indeed, loaded. 

evtest was (is!) a bit confusing to use, but input3 did seem to notice that I
was pressing keys when I was pressing the S1 and S2 keys, and input4 - which was
indeed labeled "Sony Vaio Jogdial" did not notice. Is this information at all
useful? I will attach the output from input3, in case it helps. None of the
other event numbers seemed to notice the key presses.

(it does look like all the Fn and S1/S2 keys were parsing as "type 4 (Misc),
code 4 (ScanCode), value f7", with the only changes being the event times, when
using event3)
Comment 10 Suzanne Hillman 2007-06-21 10:42:37 EDT
Created attachment 157545 [details]
Output from running evtest /dev/input/event3 while pressing S1, S2, and various Fn key combos.
Comment 11 Jon Stanley 2008-03-31 14:31:13 EDT
Removing NeedsRetesting from whiteboard so we can repurpose it.
Comment 12 Bug Zapper 2008-05-13 22:07:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-06-09 18:07:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 13:05:15 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.